Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FictionBook2Parser Class Reference

`#include <FictionBook2Parser.h>`

## Public Member Functions
| FictionBook2Parser (librevenge::RVNGInputStream *input)
bool | parse (FictionBook2XMLParserContext *context) const
bool | parse (librevenge::RVNGTextInterface *document) const

## Private Member Functions
| FictionBook2Parser (const FictionBook2Parser &other)
FictionBook2Parser & | operator= (const FictionBook2Parser &other)

## Private Attributes
librevenge::RVNGInputStream *const | m_input

## Constructor & Destructor Documentation

## ◆ FictionBook2Parser() [1/2]

libebook::FictionBook2Parser::FictionBook2Parser | ( | const FictionBook2Parser & | other | ) |
| private

## ◆ FictionBook2Parser() [2/2]

libebook::FictionBook2Parser::FictionBook2Parser | ( | librevenge::RVNGInputStream * | input | ) |
| explicit

## Member Function Documentation

## ◆ operator=()

FictionBook2Parser & libebook::FictionBook2Parser::operator= | ( | const FictionBook2Parser & | other | ) |
| private

## ◆ parse() [1/2]

bool libebook::FictionBook2Parser::parse | ( | FictionBook2XMLParserContext * | context | ) | const

Referenced by parse().

## ◆ parse() [2/2]

bool libebook::FictionBook2Parser::parse | ( | librevenge::RVNGTextInterface * | document | ) | const

## Member Data Documentation

## ◆ m_input

librevenge::RVNGInputStream* const libebook::FictionBook2Parser::m_input
| private

Referenced by FictionBook2Parser(), and parse().

The documentation for this class was generated from the following files:

- FictionBook2Parser.h
- FictionBook2Parser.cpp